!<
!Tomo
!
!Usage:
!Tomo.x  velin=velocity.H velout=out.H
!
!
!
!>
!-------------------------------------------------
!
!Author: Robert Clapp, ESMB 463, 7230253
!
!Date Created:Sun Jul 18 20:12:46 PDT 1999
! Tue Jan 21 11:19:28 PST 2003
!
!Purpose:
!
!
program Tomo_it 
  use tomo_objects_mod 
  !contains all of the objects involved in tomography how to checkpars/init them
  use update_vel_mod
  implicit none
  logical :: verb
  call initpar()
  call doc('/homes/sep/paul/report/bob3/tomo/Tomo.rs90')
  call from_param("verb",verb,.false.)
!INITIALIZE MPI IF NECESSARY
  if (verb) then
    write(0,*) "Before reading in base tomography objects"
  end if
  if (.not. read_in_tomo_basics()) then
    call seperr( "Trouble reading in basic tomography objects")
  end if
  if (verb) then
    write(0,*) "Before checking parameters"
  end if
  if (.not.  check_tomo_params()) then
    call seperr("trouble checking tomography parameters")
  end if
  if (verb) then
    write(0,*) "Before initializing tomography objects"
  end if
  if (.not. init_tomo_objects()) then
    call seperr("trouble initializing tomo objects")
  end if
  if (verb) then
    write(0,*) "before inversion"
  end if
  if (.not. tomo_inversion()) then
    call erexit("trouble performinng tomography")
  end if
  if (verb) then
    write(0,*) "before write model"
  end if
  if (.not. calc_write_new_vel()) then
    call erexit("trouble  writing new velocity")
  end if
end program  
